std_mutex.h(3cxx)

NAME
std_mutex.h

SYNOPSIS

  Classes

struct std::adopt_lock_t
Assume the calling thread has already obtained mutex ownership and manage it.
struct std::defer_lock_t
Do not acquire ownership of the mutex.
class std::lock_guard< _Mutex >
A simple scoped lock type.
class std::mutex
The standard mutex type.
struct std::try_to_lock_t
Try to acquire ownership of the mutex without blocking.

  Namespaces

std
ISO C++ entities toplevel namespace is std.

  Variables

constexpr adopt_lock_t std::adopt_lock
Tag used to make a scoped lock take ownership of a locked mutex.
constexpr defer_lock_t std::defer_lock
Tag used to prevent a scoped lock from acquiring ownership of a mutex.
constexpr try_to_lock_t std::try_to_lock
Tag used to prevent a scoped lock from blocking if a mutex is locked.

Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <mutex>.

Author

Generated automatically by Doxygen for libstdc++ from the source code.